
import turtle
lista_boja = ["red","orange", "yellow", "green", "blue", "purple", "gray"]

def Krug(ugao, boja):
    turtle.pencolor(boja)
    turtle.fillcolor(boja)
    turtle.begin_fill()
    turtle.pendown()
    turtle.circle(40)
    turtle.penup()
    turtle.end_fill()
    turtle.right(ugao)
    turtle.forward(30)
    turtle.pendown()

ugao = 360 / len(lista_boja)    
for boja in lista_boja:
   Krug(ugao, boja)
    
        
